Bug 1496560 - [RFE] Change NSS in Fedora 28 to use the `sql` database format by default
Summary: [RFE] Change NSS in Fedora 28 to use the `sql` database format by default
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nss
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kai Engert (:kaie) (inactive account)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1496562 1496563 1496565 1496569 1505487 1505493
Blocks: 1474771
TreeView+ depends on / blocked
 
Reported: 2017-09-27 18:47 UTC by Kai Engert (:kaie) (inactive account)
Modified: 2017-11-23 19:36 UTC (History)
7 users (show)

Fixed In Version: nss-util-3.33.0-3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-23 19:36:47 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 1377940 P3 RESOLVED Change NSS default storage file format (currently DBM), when no prefix is given, to SQL 2020-04-24 18:07:39 UTC

Description Kai Engert (:kaie) (inactive account) 2017-09-27 18:47:16 UTC
Change the NSS library default to use the sqlite based data storage, when applications don't specify their preferred storage file format.

Let's make this change in Fedora 28.

(We missed F27, which bug 1474771 was about. I believe we don't need a "Fedora Change" tracking but for F28, if we're early.)

Comment 1 Kai Engert (:kaie) (inactive account) 2017-09-27 19:08:31 UTC
Besides firefox bug 1496563 and thunderbird bug 1496565, it's possible that additional Fedora applications might require fixes for compatibility with the NSS default changing to sqlite.

If an application explicitly initializes/configures sqlite, those applications must ensure that sqlite it initialized prior to NSS init.

Also, an application must delay any explicit sqlite shutdown until after NSS shutdown.

Applications that rely on implicit sqlite init and implicit sqlite shutdown shouldn't require changes.

If you discover an application that requires such changes, please file a separate bug against that component, and please add a reference to this bug.

Comment 2 Kai Engert (:kaie) (inactive account) 2017-11-07 12:51:18 UTC
This change has been approved in bug 1474771.

Comment 3 Kai Engert (:kaie) (inactive account) 2017-11-07 13:25:46 UTC
The change has been applied.

This nss-util build implements the change:
  https://koji.fedoraproject.org/koji/taskinfo?taskID=22973722
  nss-util-3.33.0-3.fc28

To ensure that the NSS test suite is still working, a patch has been applied to the nss package, and is building here:
  https://koji.fedoraproject.org/koji/taskinfo?taskID=22973901

Comment 4 Kai Engert (:kaie) (inactive account) 2017-11-08 16:03:10 UTC
The main nss package required a fix to the test scripts.
New build running here:
  https://koji.fedoraproject.org/koji/taskinfo?taskID=22993971


Note You need to log in before you can comment on or make changes to this bug.